package io.renren.modules.sys.dao.algs;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.renren.modules.sys.entity.algs.AlgTrain;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface AlgTrainMapper extends BaseMapper<AlgTrain> {
    int deleteByPrimaryKey(Long algorithmTrainingId);

    int insert(AlgTrain record);

    int insertSelective(AlgTrain record);

    AlgTrain selectByPrimaryKey(Long algorithmTrainingId);

    int updateByPrimaryKeySelective(AlgTrain record);

    int updateByPrimaryKey(AlgTrain record);

    AlgTrain selectByMissName(String missName);

}